aboutsummaryrefslogtreecommitdiff
path: root/package
Commit message (Collapse)AuthorAgeFilesLines
* libselinux: add patch to fix Blackfin build issueGravatar Thomas Petazzoni2015-02-081-0/+24
| | | | | | | | | Fixes: http://autobuild.buildroot.org/results/165/165a227a0a8ecd4cb3f96761aacdf90ae974fea7/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* perl: remove poisoned path from dynaloader hintsGravatar Alex Suykov2015-02-081-0/+13
| | | | | | | | | Fixes http://autobuild.buildroot.net/results/323a82776cccf17afaa00ebe3483cfc06a06f264/ http://autobuild.buildroot.net/results/7d4cf7b63fda1a062263b7a4e758c699049105af/ Signed-off-by: Alex Suykov <alex.suykov@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/erlang: fix build issue with pcre packageGravatar Romain Naour2015-02-081-0/+43
| | | | | | | | | | | | | | | | If the pcre package is build before erlang, the erlang's build system use pcre.h from pcre package instead of using pcre.h bundled by Erlang. Erlang use an old version of this file which is incompatible with the upstream one. http://autobuild.buildroot.net/results/cbd/cbd8b54eef535f19d7d400fd269af1b3571d6143/build-end.log And many more. Signed-off-by: Romain Naour <romain.naour@openwide.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qt5multimedia: Make it compile with no-openglGravatar Vicente Olivert Riera2015-02-081-0/+53
| | | | | | | | | | | | | | | | | | | | Backport an upstream patch to make it compile with no-opengl. Otherwise it will fail showing an error message like this one: qpaintervideosurface.cpp:99:47: error: 'QOpenGLContext' has not been declared Upstream commit: https://qt.gitorious.org/qt/qtmultimedia/commit/2b181d546970d18a48a0f36f5d1a22418b61cd4d Fixes: http://autobuild.buildroot.net/results/b77/b77cdf9b1cf6cafd5afef7337553bb32489207e5/ Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* postgresql: bump version to 9.4.1Gravatar Peter Seiderer2015-02-082-3/+3
| | | | | | | | | See [1] for a detailed list of changes. [1] http://www.postgresql.org/docs/9.4/static/release-9-4-1.html Signed-off-by: Peter Seiderer <ps.report@gmx.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qt5webkit: add missing indirect dependency on atomics and !flatGravatar Arnout Vandecappelle2015-02-071-0/+2
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qt5cinex: add missing indirect dependency on libeglGravatar Arnout Vandecappelle2015-02-071-2/+3
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* enlightenment: add missing indirect dependency on atomicsGravatar Arnout Vandecappelle2015-02-071-0/+3
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* xscreensaver: add missing indirect dependency on atomicsGravatar Arnout Vandecappelle2015-02-071-5/+8
| | | | | | | Also reformat the comment lines and fix the comment. Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* pinenty: add missing indirect dependency on atomics for gtk2 supportGravatar Arnout Vandecappelle2015-02-071-4/+2
| | | | | | | Also remove redundant comment lines. Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* opencv: add missing indirect dependency on atomics for gtk supportGravatar Arnout Vandecappelle2015-02-071-0/+1
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* cwiid: add missing indirect dependency on atomics for wmguiGravatar Arnout Vandecappelle2015-02-071-0/+6
| | | | | | | Also add a comment for cwiid itself. Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* php: add missing indirect dependency on !avr32 for mysql extensionsGravatar Arnout Vandecappelle2015-02-071-2/+6
| | | | | | | Also fix the comment. Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* dovecot: add missing indirect dependency on !avr32 for mysqlGravatar Arnout Vandecappelle2015-02-071-2/+4
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* util-linux: add missing indirect dependency on !avr32 for setprivGravatar Arnout Vandecappelle2015-02-071-0/+1
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* oprofile: add missing indirect dependency on NPTL for PPCGravatar Arnout Vandecappelle2015-02-071-3/+3
| | | | | | [Peter: also adjust comment dependencies] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* kodi: add missing indirect dependency on dynamic lib for shairportGravatar Arnout Vandecappelle2015-02-071-0/+4
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* espeak: add missing indirect dependency on atomics for pulseaudioGravatar Arnout Vandecappelle2015-02-071-1/+3
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libgail: add missing indirect dependency on C++ and atomicsGravatar Arnout Vandecappelle2015-02-071-2/+5
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* grantlee: add missing indirect dependency on jscore availableGravatar Arnout Vandecappelle2015-02-071-2/+4
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qemu: add missing indirect dependency on dynamic library for fdtGravatar Arnout Vandecappelle2015-02-071-0/+8
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gst1-plugins-base: add missing indirect dependency on atomics for pangoGravatar Arnout Vandecappelle2015-02-071-7/+5
| | | | | | | | | Also removed the redundant indirect dependencies on wchar, threads, mmu (gstreamer depends on libglib2 so this indirect dependency is obvious). [Peter: drop wchar+threads from comment as suggested by Jerzy Grzegorek] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gst-plugins-base: add missing indirect dependency on atomics for pangoGravatar Arnout Vandecappelle2015-02-071-7/+5
| | | | | | | | | Also removed the redundant indirect dependencies on wchar, threads, mmu (gstreamer depends on libglib2 so this indirect dependency is obvious). [Peter: drop wchar+threads from comment as suggested by Jerzy Grzegorek] Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gst1-plugins-bad: add missing indirect dependency on atomics for rsvgGravatar Arnout Vandecappelle2015-02-071-6/+5
| | | | | | | | Also removed the redundant indirect dependencies on wchar, threads (gstreamer depends on libglib2 so this indirect dependency is obvious). Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gst-plugins-bad: add missing indirect dependency on atomics for rsvgGravatar Arnout Vandecappelle2015-02-071-6/+5
| | | | | | | | Also removed the redundant indirect dependencies on wchar, threads (gstreamer depends on libglib2 so this indirect dependency is obvious). Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* python-coherence: add missing indirect dependency on c++Gravatar Arnout Vandecappelle2015-02-071-0/+5
| | | | | Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* br2-external: make it available to post-{build, image} scriptsGravatar Yann E. MORIN2015-02-071-1/+2
| | | | | | | | | | | | | | | | | | | | | Currently, BR2_EXTERNAL is not always exported to sub-processes that we spawn, like post-build or post-image scripts. This all depends on how the user passes BR2_EXTERNAL; consider the following: - make BR2_EXTERNAL=/path/to/br2-ext - BR2_EXTERNAL=/path/to/br2-ext make In the first case, it is just a make variable, not an environment variable, and thus not exported, while in the second case it is an environment variable and gets exported to all sub-processes make may spawn. Explicitly export it using EXTRA_ENV. Reported-by: Julian Scheel <julian@jusst.de> Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Cc: Julian Scheel <julian@jusst.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/mesa3d: bump version to 10.4.4Gravatar Bernd Kuhls2015-02-072-3/+3
| | | | | Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* util-linux: target command more needs ncursesGravatar Peter Seiderer2015-02-071-0/+1
| | | | | | | | | | | | Fixes [1]: configure: error: more selected, but required ncurses, tinfo or termcap libraries not available [1] http://autobuild.buildroot.net/results/f3b/f3b318c904b6325fd143a55f2f9fd1c55bb9cfd5 Signed-off-by: Peter Seiderer <ps.report@gmx.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* git: bump verstion to 2.3.0Gravatar Vicente Olivert Riera2015-02-072-2/+2
| | | | | | | | - Bump version to 2.3.0 - Update the hash file Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libvips: bump version to 7.42.2Gravatar Vicente Olivert Riera2015-02-072-1/+3
| | | | | | | | - Bump version to 7.42.2 - Add a hash file Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* dropbear: add extra build customization optionsGravatar Floris Bos2015-02-072-5/+22
| | | | | | | | v2: only offer option to disable building SSH client. do not offer options to disable password authentication and TCP forwarding. Signed-off-by: Floris Bos <bos@je-eigen-domein.nl> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/sqlite: bump version to 3.8.8.2Gravatar Bernd Kuhls2015-02-072-2/+2
| | | | | Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* mono: backport patches to fix PowerPC buildGravatar Thomas Petazzoni2015-02-072-0/+176
| | | | | | | | | | | | | Mono 3.12.0 doesn't build properly on PowerPC, but there are already patches upstream to fix those issues. This commit backports the two necessary patches to get the PowerPC build working. Fixes: http://autobuild.buildroot.org/results/91d/91d4b9d3f2d3597b071a1bcec8339eaf2a9c7981/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* mono: use proper Git patchesGravatar Thomas Petazzoni2015-02-074-23/+43
| | | | | | | | In order to ease the modification of the Mono patches, turn the existing ones into proper Git patches. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* x264: disable avxsynth supportGravatar Peter Korsgaard2015-02-071-0/+1
| | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/0f8/0f8b1167ba23a9a2cd9bd6b6e1baa0470523d47d/ http://autobuild.buildroot.net/results/b65/b651f488fbd6f2985e1a656814098db6c60040e5/ We don't have an avxsynth package in Buildroot, and x264 uses dlopen to access it so it breaks on static only toolchains. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* lame: unconditionally disable debug handlingGravatar Peter Korsgaard2015-02-061-4/+2
| | | | | | | | | | | | | | | As it is also broken on arc, bfin and microblaze and brings very limited added value. Fixes: http://autobuild.buildroot.net/results/643/643d174836457237615b6504e28d7b3c12a37f93/ http://autobuild.buildroot.net/results/831/831f3a03321cea1b753f3e7dd8d3c6354d51d3e7/ http://autobuild.buildroot.net/results/71d/71dc37f9cc56f3f53676f54bf28f2ca101bc4505/ http://autobuild.buildroot.net/results/61f/61f1e956bb433aa80f859b3cf37d374feee1cb0c/ And many more. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* linux-headers: bump 3.{4,10,12,14,18}.x seriesGravatar Peter Korsgaard2015-02-061-5/+5
| | | | Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* mono: add patch to fix MIPS build issueGravatar Thomas Petazzoni2015-02-061-0/+33
| | | | | | | | | | | | | | | | | Since the bump to version 3.12 of Mono, it fails to build on MIPS. The patch added by this commit fixes this build failure, simply caused by a missing include. Fixes: http://autobuild.buildroot.org/results/6f5/6f5e20a4a99eb0db650430bf6285c844fd940711/ Submitted upstream at https://github.com/mono/mono/pull/1550. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Tested-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qt5/qt5base: Fix build on MIPS without DSP supportGravatar Vicente Olivert Riera2015-02-061-0/+47
| | | | | | | | | | | | | | | | | | | | | | | | | | The qt_memfill32_asm_mips_dsp function is only declared if QT_COMPILER_SUPPORTS_MIPS_DSP is defined, so we can't reference it unless the same macro is defined. Backporting an upstream patch to fix this issue. This is the error message: qt-everywhere-enterprise-src-5.4.0-alpha/qtbase/src/gui/painting/qdrawhelper.cpp: In function 'void qInitDrawhelperAsm()': qt-everywhere-enterprise-src-5.4.0-alpha/qtbase/src/gui/painting/qdrawhelper.cpp:6843: error: 'qt_memfill32_asm_mips_dsp' was not declared in this scope Upstream commit: https://qt.gitorious.org/qt/qtbase/commit/2ca323ccd4f25f409eff8fc0c9804099b78c2bde Fixes: http://autobuild.buildroot.net/results/254/254cf62bef8bc5d5ffe345d817d16aa9983baa15/ Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qt5/qt5base: Fix build on big endian systemsGravatar Vicente Olivert Riera2015-02-061-0/+51
| | | | | | | | | | | | | | | Backporting an upstream patch to fix a qt5base build failure on big endian systems. This is the error message: image/qimage_conversions.cpp:2257:9: error: expected '}' before numeric constant Upstream commit: https://qt.gitorious.org/qt/qtbase/commit/404f4281fda764cafdaa5635db995dabc4f1de8c Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qemu: correct kernel headers check when major numbers differGravatar Peter Korsgaard2015-02-061-7/+5
| | | | | | | | | | | | | commit f7add51c39 (qemu: add host/target Linux version check) added a version check between the host kernel version and the version of kernel headers used by the toolchain, but the logic would fail unless BOTH major and minor versions were >=, which isn't true for E.G. host kernel = 3.2 and toolchain 2.6.x. Instead calculate a single version number (as major << 8 + minor) and compare that. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* host-qemu: needs host-pythonGravatar Peter Korsgaard2015-02-061-1/+2
| | | | | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/e58/e58a0d7d5c084be000ae7d5b3821cd68d6639aab/ http://autobuild.buildroot.net/results/624/62425cfdd4270bf1a9b15bd57490478b1c04c720/ http://autobuild.buildroot.net/results/d18/d189d7f75ffbb3349b68a5c312b14ea5638bb903/ http://autobuild.buildroot.net/results/7d3/7d386322cec452ee636adb20be0c1a31f38385fc/ And many more. Just like qemu for the target, host-qemu needs python (2.x) on the host. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* sdparm: remove include of host headersGravatar Baruch Siach2015-02-062-0/+22
| | | | | | | | | Fixes: http://autobuild.buildroot.net/results/458/458b3da912b977335ac292fa7adddfb85961557a/ http://autobuild.buildroot.net/results/ead/ead9c1d354e9beebdcb892ded2d63b8d3bc3eb51/ Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* qemu: add architecture dependencies for host qemuGravatar Thomas Petazzoni2015-02-061-0/+9
| | | | | | | | | | | | | | The host-qemu package currently builds the user mode emulation, which isn't available on all architectures, so this commit adds the necessary architecture dependencies to the Config.in.host file. Fixes: http://autobuild.buildroot.net/results/4298ce40cbe3db50ffe53ecf6856523157df591d/ Reported-by: Max Filippov <jcmvbkbc@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* rpm: use pkg-config to detect zlib and poptGravatar Peter Korsgaard2015-02-061-3/+3
| | | | | | | | | | | | | | | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/98b/98b70ea09ecef214f13a622dcb926e01a6d6f7d9/ http://autobuild.buildroot.net/results/d13/d1343c3be9710d5be3cf6e4369dd5c75102e7b92/ http://autobuild.buildroot.net/results/457/457d3d9231f1422b19ffbac6d4a6ab02c6d6c22f/ http://autobuild.buildroot.net/results/ed8/ed8efe3985e6b423e4c18f9c200aa042ccb9ed23/ And many more. Using --with-zlib=$(STAGING_DIR) causes the configure script to basically do a find $(STAGING_DIR) -name zlib.h to figure out the correct include path for zlib. That is normally ok, but if botan is enabled and built before rpm, then it installs a zlib.h header in $(STAGING_DIR)/usr/include/botan-1.10/botan which confuses this logic and causes configure to fail. Fix it by using --with-zlib=external instead which causes the configure script to use pkg-config to get the CFLAGS/LDFLAGS. Also do it for popt so we don't end up with a similar issue in the future. We unfortunately cannot do it for beecrypt as it doesn't install a .pc file. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/infozip: add hash fileGravatar Romain Naour2015-02-051-0/+2
| | | | | Signed-off-by: Romain Naour <romain.naour@openwide.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/infozip: silent LFS warningGravatar Romain Naour2015-02-051-1/+6
| | | | | | | | | infozip already defines _LARGEFILE_SOURCE and _LARGEFILE64_SOURCE in some sources files when LARGE_FILE_SUPPORT is set. Remove them from CFLAGS. Signed-off-by: Romain Naour <romain.naour@openwide.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/infozip: fix LARGE_FILE_SUPPORT checkGravatar Romain Naour2015-02-051-0/+101
| | | | | | | | | | | | | | | | | | The LFS check was dropped in commit cc4dedd9. Since then there is a runtime error: zip warning : Not supported (uzoff_t not same size as zoff_t) However LFS check can't readded as is because it can't work for cross-compilation since it try to run a target's binary on the host system. Replace infozip's LFS check with the one used by autoconf. This allows to readd LFS support for host-infozip. Reported-by: Richard Genoud <richard.genoud@gmail.com> Signed-off-by: Romain Naour <romain.naour@openwide.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/infozip: disable GID/UID supportGravatar Romain Naour2015-02-052-0/+89
| | | | | | | | This check can't work for cross-compilation since it try to run a target's binary on the host system. Signed-off-by: Romain Naour <romain.naour@openwide.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>